> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noxus.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Run Data by ID

> Get the data for a run by it's ID



## OpenAPI

````yaml get /v1/runs/{run_id}/data
openapi: 3.1.0
info:
  title: Noxus Backend
  description: >-
    Backend API for the Noxus Platform. More information can be found at
    https://docs.noxus.ai
  version: 1.1.0
servers: []
security: []
paths:
  /v1/runs/{run_id}/data:
    get:
      tags:
        - V1 - Runs
      summary: Public Get Run Data By Id
      operationId: public_get_run_data_by_id
      parameters:
        - name: run_id
          in: path
          required: true
          schema:
            type: string
            title: Run Id
        - name: fetch_structured_data
          in: query
          required: false
          schema:
            type: boolean
            description: When False, skip fetching structured_data from node IO storage
            default: true
            title: Fetch Structured Data
          description: When False, skip fetching structured_data from node IO storage
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RunData'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    RunData:
      properties:
        created_at:
          type: string
          format: date-time
          title: Created At
        structured_data:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Structured Data
      type: object
      required:
        - created_at
      title: RunData
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````